{ inputs, config, lib, pkgs, ... }:
{
  environment.etc.nixpkgs.source = inputs.nixpkgs;
  imports = [ ./sunshine.nix ];
  networking.hostName = "insertpclinux";
  services.xserver.videoDrivers = ["nvidia"];
  #nixpkgs.overlays = [ (self: super: (let
  #  patched_pkgs = import inputs.nixpkgs_patched {
  #    inherit (self) system;
  #    config.allowUnfree = true;
  #  };
  #  in {
  #    linuxPackages = patched_pkgs.linuxPackages;
  #  })) ];
  #boot.kernelPackages = pkgs.linuxPackages;

  hardware.nvidia = {

    # Modesetting is needed most of the time
    modesetting.enable = true;

	# Enable power management (do not disable this unless you have a reason to).
	# Likely to cause problems on laptops and with screen tearing if disabled.
    powerManagement.enable = true;

    # Use the open source version of the kernel module ("nouveau")
	# Note that this offers much lower performance and does not
	# support all the latest Nvidia GPU features.
	# You most likely don't want this.
    # Only available on driver 515.43.04+
    open = false;

    # Enable the Nvidia settings menu,
	# accessible via `nvidia-settings`.
    nvidiaSettings = true;

    # Optionally, you may need to select the appropriate driver version for your specific GPU.
    
    package = config.boot.kernelPackages.nvidiaPackages.production;
    
  };
  virtualisation.libvirtd.enable = true;
  programs.virt-manager.enable = true;
  services.sunshine.enable = true;
  security.pki.certificateFiles = [
    /home/insert/Documents/nextcloud/nextcloudinternal.pem
    /home/insert/Documents/personal-vaultwarden/cert.pem
  ];
}